Subject: Re: SATA: "unknown partition table" error, fdisk can't fix, works in 2.6.13

From: Olof Johansson <[email-masked]>
Date: Fri, 29 Sep 2006 15:20:40 -0500

On Fri, 29 Sep 2006 15:11:20 -0500 Timur Tabi <[email-masked]> wrote:

> I have a SATA drive attached to a PowerPC 8349E board, using the SIL 3114 controller.  I'm running the latest code from Paul Mackerras (PowerPC maintainer) (2.6.18-blabla).
> 
> I'm experiencing a number of I/O errors with the SATA drive.  fdisk can see the partition table, but when I issue the "w" command, I get this output:
> 
> The odd thing is that this works in 2.6.13, so something is broken.  I don't know if it's a bug in the sata_sil driver, or a configuration issue.  Can anyone help?
> 

Do you use MSDOS or MAC partition (or other) type? Make sure you have
the one you use in the config.

It looks like the arch/powerpc/configs/mpc83* defconfigs enable neither.

-Olof